import time
import board
import adafruit_sht4x

i2c = board.I2C()
sht = adafruit_sht4x.SHT4x(i2c)
# print("Found SHT4x with serial number", hex(sht.serial_number))
sht.mode = adafruit_sht4x.Mode.NOHEAT_HIGHPRECISION
# print("Current mode is: ", adafruit_sht4x.Mode.string[sht.mode])

while True:
    try:
        temperature, humidity = sht.measurements
        print(temperature)
        print(humidity)
        print("")
        time.sleep(1)
    except KeyboardInterrupt:
        break
